//
//  core.h
//  AI003
//
//  Created by 西田　耀 on 13/01/28.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

#ifndef AI003_core_h
#define AI003_core_h

#include "chnlib.h"

#define AI_CONFIG_FILE_NAME "config.txt"

typedef struct AI_WORKING_SET AI_WorkingSet;
struct AI_WORKING_SET {
    CHNLIB_UIPArray *SystemWordList0;
    CHNLIB_UIPArray *RootWordList;
    CHNLIB_UIPArray *InputHistory;
};

//@main.c
extern AI_WorkingSet WorkingSet;
CHNLIB_UIPArray *AI_Think_SlideLookUpWordByHistory(CHNLIB_String *input);
void AI_Memory_AddRootWordData(CHNLIB_String *tag);
int AI_Memory_AddRootWordData_IsDuplicated(const void *listtag, const void *newtag);
void AI_System_InitializeSystemWorkingSet(void);
void AI_System_LoadMemory(const char configfilename[]);

#endif
