//
//  chnlib04.c
//  AI003
//
//  Created by 西田　耀 on 13/02/10.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

//
//Include headers
//

#include <stdio.h>
#include "chnlib.h"

//
//Functions(UTF-8)
//

int CHNLIB_UTF8_GetCharacterType(char c)
{
    //UTF-8文字列中の1バイトcが、UTF-8文字列中でどのような役割を持つのかを返す。
    if(((c >> 6) & 3) == 2){
        //マルチバイト後続バイト
        //10xxxxxx
        return 0;
    } else if(((c >> 7) & 1) == 0){
        //1Byte
        //7bit
        //0xxxxxxx
        return 1;
    } else if(((c >> 5) & 7) == 6){
        //2Byte
        //11bit
        //110xxxxx
        return 2;
    } else if(((c >> 4) & 15) == 14){
        //3Byte
        //16bit
        //1110xxxx
        return 3;
    } else if(((c >> 3) & 31) == 30){
        //4Byte
        //21bit
        //11110xxx
        return 4;
    }
    
    return 0;
}



